<?php
/*
* Plugin Name: Station Setting
* Plugin URI: https://oxygensoft.net/
* Description: Station Setting is custom plugin for the customization of Recharge Station Shop
* Author: Faizan Gill
* Version: 1.0.6
* Text Domain: learndash_pfl
* Domain Path: /languages
* Author URI: https://oxygensoft.net/
*/

add_action( 'wp_head', 'custom_code_in_head' );
function custom_code_in_head()
{
	?>
	<style>
	  	ul.typeahead.dropdown-menu {
			  list-style: none !important;
			  margin: 0px !important;
			  text-align: left !important;
			  position: absolute;
		    background: #fff;
		    overflow: hidden;
		    height: auto;
		    z-index: 9999999999999999999;
			}
			a.dropdown-item {
		    font-size: 11px !important;
		    text-decoration: none !important;
			}
			.wcpt-search-submit {
				height: 40px !important;
			}
			.wcpt-search-wrapper .wcpt-search{
				max-height: 40px !important;
			}

			.typeahead,.tt-query,.tt-hint {
			  height: 30px;
			  padding: 8px 12px;
			  font-size: 24px;
			  line-height: 30px;
			  border: 2px solid #ccc;
			  -webkit-border-radius: 8px;
			     -moz-border-radius: 8px;
			          border-radius: 8px;
			  outline: none;
			}

			.typeahead {
			  background-color: #fff;
			}

			.typeahead:focus {
			  border: 2px solid #0097cf;
			}

			.tt-query {
			  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
			     -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
			          box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
			}

			.tt-hint {
			  color: #999
			}

			.tt-dropdown-menu {
			  width: 422px;
			  margin-top: 3px;
			  padding: 8px 0;
			  background-color: #fff;
			  border: 1px solid #ccc;
			  border: 1px solid rgba(0, 0, 0, 0.2);
			  -webkit-border-radius: 8px;
			     -moz-border-radius: 8px;
			          border-radius: 8px;
			  -webkit-box-shadow: 0 5px 10px rgba(0,0,0,.2);
			     -moz-box-shadow: 0 5px 10px rgba(0,0,0,.2);
			          box-shadow: 0 5px 10px rgba(0,0,0,.2);
			}

			.tt-suggestion {
			  padding: 3px 20px;
			  font-size: 18px;
			  line-height: 24px;
			  color: black;
			}

			.tt-suggestion.tt-cursor {
			  color: #fff;
			  background-color: #0097cf;
			}

			.tt-suggestion p {
			  margin: 0;
			  font-size: 18px;
			  text-align: left;
			}

			.twitter-typeahead {
				width: 100%;
			}
			.os-breadcrumb-wrap{
			    display:none;
			}
	</style>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-3-typeahead/4.0.1/bootstrap3-typeahead.min.js"></script>
	<?php
}

function title_filter( $where, $wp_query ) {
    global $wpdb;
    if ( $search_term = $wp_query->get( 'search_prod_title' ) ) {
        $where .= ' AND ' . $wpdb->posts . '.post_title LIKE \'%'.$search_term.'%\'';
    }
    return $where;
}

function product_name_typeahead_fn()
{           
    if( isset($_GET['prod_name']) && $_GET['prod_name'] != "")
    {
        $search_keyword = $_GET['prod_name'];
        $args = array(
	        'post_type'      		=> 'product',
	        'posts_per_page' 		=> 4,
	        'search_prod_title' => $search_keyword,
	        'post_status' 			=> 'publish',
			    'orderby'     			=> 'title', 
			    'order'       			=> 'ASC'
		    );
		    add_filter( 'posts_where', 'title_filter', 10, 2 );
		    $loop = new WP_Query($args);
		    remove_filter( 'posts_where', 'title_filter', 10 );

		    $prodResult= array();
		    while ( $loop->have_posts() ) : $loop->the_post();
		        global $product;
		        $prodResult[] = array('emp_name'=>get_the_title() ,'href'=>get_the_ID());
		    endwhile;

        echo json_encode($prodResult);

		    wp_reset_query();
        exit;
    }
}
add_action("init","product_name_typeahead_fn");

add_filter('wcpt_query_args', 'wcpt_shortcode_attributes__use_default_search222');
function wcpt_shortcode_attributes__use_default_search222( $atts ){
    if(
        $atts['orderby'] == "date ID" && 
        $atts['order'] == "ASC" &&
        count($atts['tax_query']) == 2
        ) 
    {
        $atts['post__in'] = query_condition_fn_copy2();
    }
    $atts['orderby']            = "post__in";
    if (isset($_GET['2207_search_1']) && $_GET['2207_search_1'] != "") {
    	$atts['post__in'] = query_condition_fn_copy($_GET['2207_search_1']);
    }
    return $atts;
}

function query_condition_fn($search_keyword)
{
  $args = array(
    'post_type'      		=> 'product',
    'search_prod_title'     => $search_keyword,
    'posts_per_page'        => 100000000,
    'post_status' 			=> 'publish',
    'post__in'              => $init_ids_arr,
    'orderby'     			=> 'post__in', 
    //'order'       			=> 'ASC'
  );
  add_filter( 'posts_where', 'title_filter', 10, 2 );
  $loop = new WP_Query($args);
  remove_filter( 'posts_where', 'title_filter', 10 );

  $prodResult= array();
  while ( $loop->have_posts() ) : $loop->the_post();
      global $product;
      $prodResult[] = get_the_ID();
  endwhile;
  return $prodResult;
}

function query_condition_fn_copy($search_keyword)
{
    $prodResult= array();
    $terms = "95,96,94,944";
    $terms_ar = explode(",",$terms);
    foreach($terms_ar as $key => $term_val){
        if($key == 3){
            $args = array(
                'post_type'             => 'product',
                'post_status'           => 'publish',
                'ignore_sticky_posts'   => 1,
                'search_prod_title'     => $search_keyword,
                'posts_per_page'        => '999999999999999999',
                'tax_query'             => array(
                    array(
                        'taxonomy'      => 'product_cat',
                        'field' => 'term_id', //This is optional, as it defaults to 'term_id'
                        'terms'         => "95,96,94",
                        'operator'      => 'NOT IN' // Possible values are 'IN', 'NOT IN', 'AND'.
                    )
                )
            );  
        } else {
            $args = array(
                'post_type'             => 'product',
                'post_status'           => 'publish',
                'ignore_sticky_posts'   => 1,
                'search_prod_title'     => $search_keyword,
                'posts_per_page'        => '999999999999999999',
                'tax_query'             => array(
                    array(
                        'taxonomy'      => 'product_cat',
                        'field' => 'term_id', //This is optional, as it defaults to 'term_id'
                        'terms'         => $term_val,
                        'operator'      => 'IN' // Possible values are 'IN', 'NOT IN', 'AND'.
                    )
                )
            );
        }
        add_filter( 'posts_where', 'title_filter', 10, 2 );
        $products = new WP_Query($args);
        remove_filter( 'posts_where', 'title_filter', 10 );
        
        while ( $products->have_posts() ) : $products->the_post();
            global $product;
            $prodResult[] = get_the_ID();
        endwhile;
    }
    return $prodResult;
}

function query_condition_fn_copy2()
{
    $prodResult95 = array();
    $prodResult96 = array();
    $prodResult94 = array();
    $args = array(
        'post_type'             => 'product',
        'post_status'           => 'publish',
        'posts_per_page'        => '10',
        'meta_key'              => 'total_sales',
        'orderby'               => 'meta_value_num',
        'order'                 => 'DESC'
    );
    $products = new WP_Query($args);
    while ( $products->have_posts() ) : $products->the_post();
        global $product;
        $cat_ar = array();
        $cats = get_the_terms( get_the_ID(), 'product_cat' );
        foreach($cats as $cat){
            $cat_ar[] = $cat->term_id;
        }
        if(is_array($cat_ar) && in_array("95",$cat_ar)){
            $prodResult95[] = get_the_ID();
        }
        else if(is_array($cat_ar) && in_array("96",$cat_ar)){
            $prodResult96[] = get_the_ID();
        }
        if(is_array($cat_ar) && in_array("94",$cat_ar)){
            $prodResult94[] = get_the_ID();
        }
    endwhile;
    
    return array_merge($prodResult95, $prodResult96, $prodResult94);
}


function test_fn(){
    $search_keyword = "a";
    /*if(isset($_GET['abc']) && $_GET['abc'] == "iamdev"){
        $prodResult= array();
        $terms = "95,96,94,944";
        $terms_ar = explode(",",$terms);
        foreach($terms_ar as $key => $term_val){
            if($key == 3){
                $args = array(
                    'post_type'             => 'product',
                    'post_status'           => 'publish',
                    'ignore_sticky_posts'   => 1,
                    'search_prod_title'     => $search_keyword,
                    'posts_per_page'        => '999999999999999999',
                    'tax_query'             => array(
                        array(
                            'taxonomy'      => 'product_cat',
                            'field' => 'term_id', //This is optional, as it defaults to 'term_id'
                            'terms'         => "95,96,94",
                            'operator'      => 'NOT IN' // Possible values are 'IN', 'NOT IN', 'AND'.
                        )
                    )
                );  
            } else {
                $args = array(
                    'post_type'             => 'product',
                    'post_status'           => 'publish',
                    'ignore_sticky_posts'   => 1,
                    'search_prod_title'     => $search_keyword,
                    'posts_per_page'        => '999999999999999999',
                    'tax_query'             => array(
                        array(
                            'taxonomy'      => 'product_cat',
                            'field' => 'term_id', //This is optional, as it defaults to 'term_id'
                            'terms'         => $term_val,
                            'operator'      => 'IN' // Possible values are 'IN', 'NOT IN', 'AND'.
                        )
                    )
                );
            }
            add_filter( 'posts_where', 'title_filter', 10, 2 );
            $products = new WP_Query($args);
            remove_filter( 'posts_where', 'title_filter', 10 );
            
            while ( $products->have_posts() ) : $products->the_post();
                global $product;
                $prodResult[] = get_the_ID();
            endwhile;   
            echo "<pre>";
        print_r($prodResult);
        echo "</pre>";
        }
        
        echo "<pre>";
        print_r($prodResult);
        echo "</pre>";
        exit();
    }*/
    if(isset($_GET['abc']) && $_GET['abc'] == "iamdev2"){
        $args = array(
            'post_type'             => 'product',
            'post_status'           => 'publish',
            'posts_per_page'        => '10',
            'meta_key'              => 'total_sales',
            'orderby'               => 'meta_value_num',
            'order'                 => 'DESC'
        );
        $products = new WP_Query($args);
    
        echo $GLOBALS['wp_query']->request;
        $ar = query_condition_fn_copy2();
        echo "<pre>";
        print_r($ar);
        echo "</pre>";
        exit();
    }
}
add_action("init","test_fn");