<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Orchid_Store
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
	<link id="siteFonts" rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri()."/";?>home_page_assets/Fonts/Fonts.css?v=50491126800" />
	<style>
	    .shop_page_title { width: 50%; }
	    .shop_page_desc { width: 50%; font-size:17px; }
	    .shop_page_heading {
	        width: 100%;
	        display:flex;
	    }
	</style>
	<script>
	    jQuery(document).ready(function() {
	        jQuery(".wcpt-dropdown-option").each(function(){ 
	            var temp = jQuery(this).attr("data-wcpt-value");
                if(temp != "94" && temp != "95" && temp != "96") { 
                    jQuery(this).hide(); 
                }
            });
	    });
	</script>
</head>

<body <?php body_class(); ?>>


<?php 
 #echo get_bloginfo("language")."==============";
// exit;
#global $polylang;
#$p_locale = $polylang->curlang->locale; // will be es_ES
#echo _e('Showing [first_result] - [last_result] of [total_results] results', 'wc-product-table', $p_locale);exit;
?>
	<?php 
	if( function_exists( 'wp_body_open' ) ) { 
		wp_body_open(); 
	} 
	?>
	<div id="page" class="site __os-page-wrap__">

		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'orchid-store' ); ?></a>

		<?php
		/**
        * Hook - orchid_store_header.
        *
        * @hooked orchid_store_header_action - 10
        */
        do_action( 'orchid_store_header' );
        ?>
        
        <div id="content" class="site-content">